<?xml version="1.0" encoding="UTF-8" standalone="no"?><dsa xmlns="http://www.coco-cloud.eu/dsa" encryption-key-schema="organization_default_scheme" governing-law="" id="DSA-68a719ae-cad2-4e88-9897-cebbad5b7270.xml" indemnities="" purpose="Data Breaches Notification" status="AVAILABLE" title="00_WP5 - AnonymiseByDelimiter Voc3.2" user-consent="false" version="2" vocabulary-url="https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#">
  <description/>
  <expirationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </expirationPolicy>
  <revocationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </revocationPolicy>
  <updatePolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </updatePolicy>
  <parties>
    <organization id="EMPTY_ORG_1532609096663" name="Unknown Organization" responsibilities="" role="data-controller"/>
  </parties>
  <validity>
    <startDate>2018-07-26+02:00</startDate>
    <endDate>2020-03-31+02:00</endDate>
    <offlineLicencesDuration>P1D</offlineLicencesDuration>
  </validity>
  <data>
    <datum id="DATUM_X_3" value="">
      <expression language="CNL4DSA">?X_3 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_6" value="">
      <expression language="CNL4DSA">?X_6 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Log&gt;</expression>
    </datum>
    <datum id="DATUM_X_2" value="">
      <expression language="CNL4DSA">?X_2 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#System&gt;</expression>
    </datum>
    <datum id="DATUM_Y_8" value="">
      <expression language="CNL4DSA">?Y_8 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Firewall&gt;</expression>
    </datum>
    <datum id="DATUM_Y_9" value="">
      <expression language="CNL4DSA">?Y_9 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#WebReputation&gt;</expression>
    </datum>
    <datum id="DATUM_X_7" value="">
      <expression language="CNL4DSA">?X_7 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#System&gt;</expression>
    </datum>
    <datum id="DATUM_Y_7" value="">
      <expression language="CNL4DSA">?Y_7 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#DPI&gt;</expression>
    </datum>
    <datum id="DATUM_X_5" value="">
      <expression language="CNL4DSA">?X_5 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Data&gt;</expression>
    </datum>
  </data>
  <obligations>
    <obligation conflict="false" id="OBLIGATION_1" index="0" inputValue="" isPendingRule="true" isProtected="false" statementInfo="AnonymizeDelimitedStringsBySuppression{param=dst option=UPPER_SUBSTRING_LOW_PRIVACY}">
      <expression issuer="Policy Expert" language="CNL_4_DSA_E">?X_2:System must AnonymizeDelimitedStringsBySuppression ?X_3:Data</expression>
      <expression issuer="Policy Expert" language="UPOL"><![CDATA[<?xml version="1.0" encoding="UTF-8"?>
<Rule Effect="Permit" RuleId="OBLIGATION_1">
<Target>
<AnyOf>
<AllOf>
<Match MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnonymizeDelimitedStringsBySuppression</AttributeValue>
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:action" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Match>
</AllOf>
</AnyOf>
</Target>
<ObligationExpressions>
<ObligationExpression FulfillOn="Deny" ObligationId="AnonymizeDelimitedStringsBySuppression%7Bparam%3Ddst+option%3DUPPER_SUBSTRING_LOW_PRIVACY%7D"/>
</ObligationExpressions>
<ObligationsSet>
<Obligation>
<TriggersSet>
<TriggerRuleEvaluated FulfillOn="Permit"/>
</TriggersSet>
<AnonymizeDelimitedStringsBySuppression/>
</Obligation>
</ObligationsSet>
</Rule>
]]></expression>
      <expression issuer="Policy Expert" language="UserText">a System MUST AnonymizeDelimitedStringsBySuppression a Data</expression>
      <expression issuer="Policy Expert" language="CNL4DSA">must [?X_2, AnonymizeDelimitedStringsBySuppression, ?X_3]</expression>
    </obligation>
    <obligation conflict="false" id="OBLIGATION_4" index="1" inputValue="" isPendingRule="true" isProtected="false" statementInfo="AnonymizeDelimitedStringsBySuppression{param=src option=LOWER_SUBSTRING_MEDIUM_PRIVACY}">
      <expression issuer="Policy Expert" language="CNL_4_DSA_E">if ?X_5:Data hasType ?X_6:Log then ?X_7:System must AnonymizeDelimitedStringsBySuppression ?X_5</expression>
      <expression issuer="Policy Expert" language="UPOL"><![CDATA[<?xml version="1.0" encoding="UTF-8"?>
<Rule Effect="Permit" RuleId="OBLIGATION_4">
<Target>
<AnyOf>
<AllOf>
<Match MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnonymizeDelimitedStringsBySuppression</AttributeValue>
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:action" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Match>
</AllOf>
</AnyOf>
</Target>
<Condition DecisionTime="pre">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:or">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">DPI</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Firewall</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">WebReputation</AttributeValue>
</Apply>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:access-purpose" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Data Breaches Notification</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-classification" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Highly Confidential</AttributeValue>
</Apply>
</Apply>
</Condition>
<ObligationExpressions>
<ObligationExpression FulfillOn="Deny" ObligationId="AnonymizeDelimitedStringsBySuppression%7Bparam%3Dsrc+option%3DLOWER_SUBSTRING_MEDIUM_PRIVACY%7D"/>
</ObligationExpressions>
<ObligationsSet>
<Obligation>
<TriggersSet>
<TriggerRuleEvaluated FulfillOn="Permit"/>
</TriggersSet>
<AnonymizeDelimitedStringsBySuppression/>
</Obligation>
</ObligationsSet>
<Condition DecisionTime="ongoing">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:or">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">DPI</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Firewall</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-type" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">WebReputation</AttributeValue>
</Apply>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:access-purpose" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Data Breaches Notification</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-classification" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Highly Confidential</AttributeValue>
</Apply>
</Apply>
</Condition>
</Rule>
]]></expression>
      <expression issuer="Policy Expert" language="UserText">IF a Data hasType Log THEN a System MUST AnonymizeDelimitedStringsBySuppression that Data</expression>
      <expression issuer="Policy Expert" language="CNL4DSA">if  (  hasType(?X_5,?Y_7)  OR  hasType(?X_5,?Y_8)  OR  hasType(?X_5,?Y_9)  ) then  must [?X_7, AnonymizeDelimitedStringsBySuppression, ?X_5]</expression>
    </obligation>
  </obligations>
  <dataClassification>Highly Confidential</dataClassification>
  <consentRequired>false</consentRequired>
</dsa>